using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SonicWave : MonoBehaviour
{
    public float ScaleSpeed = 10;

    private void OnEnable()
    {
        transform.localScale = Vector3.one;
    }

    private void Update()
    {
        float x = transform.localScale.x;
        if (x > 10)
        {
            gameObject.SetActive(false);
            return;
        }
        x = x + ScaleSpeed * Time.deltaTime;
        transform.localScale = new Vector3(x, x, x);
    }

}
